body {
    
    background: linear-gradient(to right, #c6ddff, #b2d1ff);
}
.menu {
    width: 75px;
    height: 75px;
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
}

.menu .btn {
    position: absolute;
    top: 0;
    left: 0;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background: #d1ecff;
    opacity: 0;
    z-index: -10;
    cursor: pointer;
    transition: opacity 1s, z-index 0.3s, transform 1s;
    transform: translateX(0);
    border-right: 3px solid #ffc107;
    border-bottom: 5px solid #0057ab;
}

.menu .trigger {
    opacity: 1;
    z-index: 100;
    cursor: pointer;
    transition: transform 0.3s;
}

.menu .trigger:hover {
    transform: scale(1.2);
}

.menu .line {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    width: 70%;
    height: 6px;
    background: #0a0a0a;
    border-radius: 6px;
    transition: background-color 0.3s, height 0.3s, top 0.3s;
}

.menu .line:before,
.menu .line:after {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    width: 100%;
    height: 6px;
    background: #000000;
    border-radius: 6px;
    transition: background-color 0.3s, transform 0.3s;
}

.menu .line:before {
    top: -12px;
    transform-origin: 15% 100%;
}

.menu .line:after {
    top: 12px;
    transform-origin: 25% 30%;
}

.icons .fa {
    font-size: 25px;
    color: #000;
    transition: color 0.3s;
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
}
.span{
    display: inline-block;
    font-size: 14px;
    position: relative;
    top: -8px;
}

.btn:hover .fa {
    color: #000;
}

.menu .rotater {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transform-origin: 50% 50%;
}

.menu.active .btn-icon {
    opacity: 1;
    z-index: 50;
}

.menu.active .trigger .line {
    height: 0px;
    top: 45%;
}

.menu.active .trigger .line:before {
    transform: rotate(45deg);
    width: 110%;
}

.menu.active .trigger .line:after {
    transform: rotate(-45deg);
    width: 110%;
}

.rotater:nth-child(1) {
    transform: rotate(-22.5deg);
}

.menu.active .rotater:nth-child(1) .btn-icon {
    transform: translateY(-10em) rotate(22.5deg);
}

.rotater:nth-child(2) {
    transform: rotate(22.5deg);
}

.menu.active .rotater:nth-child(2) .btn-icon {
    transform: translateY(-10em) rotate(-22.5deg);
}

.rotater:nth-child(3) {
    transform: rotate(67.5deg);
}

.menu.active .rotater:nth-child(3) .btn-icon {
    transform: translateY(-10em) rotate(-67.5deg);
}

.rotater:nth-child(4) {
    transform: rotate(112.5deg);
}

.menu.active .rotater:nth-child(4) .btn-icon {
    transform: translateY(-10em) rotate(-112.5deg);
}

.rotater:nth-child(5) {
    transform: rotate(157.5deg);
}

.menu.active .rotater:nth-child(5) .btn-icon {
    transform: translateY(-10em) rotate(-157.5deg);
}

.rotater:nth-child(6) {
    transform: rotate(202.5deg);
}

.menu.active .rotater:nth-child(6) .btn-icon {
    transform: translateY(-10em) rotate(-202.5deg);
}

.rotater:nth-child(7) {
    transform: rotate(247.5deg);
}

.menu.active .rotater:nth-child(7) .btn-icon {
    transform: translateY(-10em) rotate(-247.5deg);
}

.rotater:nth-child(8) {
    transform: rotate(292.5deg);
}

.menu.active .rotater:nth-child(8) .btn-icon {
    transform: translateY(-10em) rotate(-292.5deg);
}
.menu{
    display: none ;
}


.res-text{
    display: none;
}
.res-text h3 {
    color: #ffffff;
    font-weight: 600;
    font-size: 35px;
    text-shadow: 2px 2px 0px rgb(252 2 2);
}




@media screen and (max-width: 992px) {
    .menu{
        display: block !important;
        z-index: 1;
    }
 

    .res-text{
        display: block !important;
    }
 
    
}

@media screen and (max-width: 768px) {
    .res-text h3 {
         font-size: 29px !important;
         
     }
     .menu .rotater{
        top: 30px;
        transform-origin: 50% 30%;
        width: 85%;
        height: 85%;
     }
 }
@media screen and (max-width: 600px) {
   .res-text h3 {
        font-size: 24px !important;
        
    }
}
@media screen and (max-width: 500px) {
    .res-text h3 {
         font-size: 20px !important;
         
     }
 }

 @media screen and (max-width: 400px) {
    .res-text h3 {
         font-size: 16px !important;
         
     }
    
 }

@media screen and (max-width: 480px) {
    .span{
        display: inline-block;
        font-size: 10px;
        position: relative;
        top: -8px;
    }
    .menu .line{
        width: 65%;
    }
    .menu .trigger{
        transform: scale(0.6);
    }
    .menu .trigger:hover{
        transform: scale(0.6);
    }
    .menu .rotater{
        position: absolute;
        top: 30px;
        left: 0;
        width: 70%;
        height: 75%;
        transform-origin: 65% 15%;
    
    }
}